amd: remove support for LLVM 3.9

Graphics / Mesa 3D Graphics Library / Mesa - Marek Olšák [amd.com] - 2 February 2018 22:47 EST

Only these are supported:- LLVM 4.0- LLVM 5.0- LLVM 6.0- master (7.0)

3bf1e036e8 amd: remove support for LLVM 3.9
configure.ac | 4 +-
meson.build | 6 +-
src/amd/common/ac_llvm_build.c | 187 ++++++---------------
src/amd/common/ac_llvm_helper.cpp | 10 --
src/amd/common/ac_llvm_util.c | 39 +----
src/amd/common/ac_llvm_util.h | 14 +-
src/amd/common/ac_nir_to_llvm.c | 32 +---
src/amd/vulkan/radv_device.c | 4 -
src/gallium/drivers/radeonsi/si_compute.c | 3 +-
src/gallium/drivers/radeonsi/si_get.c | 13 +-
src/gallium/drivers/radeonsi/si_shader_tgsi_mem.c | 3 +-
.../drivers/radeonsi/si_shader_tgsi_setup.c | 2 -
12 files changed, 75 insertions(+), 242 deletions(-)

Upstream: cgit.freedesktop.org


  • Share